package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxWeappCodeStatus;
import com.iformall.domain.po.WxWeappReleaseStatus;
import com.iformall.domain.vo.WxWeappAuditStatusVo;
import com.iformall.domain.vo.WxWeappCodeStatusVo;
import com.iformall.domain.vo.WxWeappReleaseStatusVo;

import java.util.List;
import java.util.Map;

public interface WxWeappReleaseStatusService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxWeappReleaseStatusVo> listAsPage(WxWeappReleaseStatusVo record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询列表
     *
     * @param record
     * @return
     */
    List<WxWeappReleaseStatusVo> getList(WxWeappReleaseStatusVo record);

    /**
     * 查询version列表
     *
     * @return
     */
    List<Map> getVersionList(Integer type);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxWeappReleaseStatus getById(Long id);

    /**
     * 根据appId获得实体
     *
     * @param appId
     * @return
     */
    WxWeappReleaseStatus getByAppId(String appId);

    /**
     * 保存实体
     *
     * @param record
     */
    void saveStatus(WxWeappReleaseStatus record);

    /**
     * 更新release Status
     *
     * @param record
     */
    void updateStatus(WxWeappReleaseStatus record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


}
